<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.ProjectHelper</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.ProjectHelper</h1>
<p>
Module implementing the strip extension project helper.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#StripProjectHelper">StripProjectHelper</a></td>
<td>Class implementing the strip extension project helper.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="StripProjectHelper" ID="StripProjectHelper"></a>
<h2>StripProjectHelper</h2>
<p>
    Class implementing the strip extension project helper.
</p>

<h3>Derived from</h3>
HgExtensionProjectHelper
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#StripProjectHelper.__init__">StripProjectHelper</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#StripProjectHelper.__hgStrip">__hgStrip</a></td>
<td>Private slot used to strip revisions from a repository.</td>
</tr>
<tr>
<td><a href="#StripProjectHelper.initActions">initActions</a></td>
<td>Public method to generate the action objects.</td>
</tr>
<tr>
<td><a href="#StripProjectHelper.initMenu">initMenu</a></td>
<td>Public method to generate the extension menu.</td>
</tr>
<tr>
<td><a href="#StripProjectHelper.menuTitle">menuTitle</a></td>
<td>Public method to get the menu title.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="StripProjectHelper.__init__" ID="StripProjectHelper.__init__"></a>
<h4>StripProjectHelper (Constructor)</h4>
<b>StripProjectHelper</b>(<i></i>)
<p>
        Constructor
</p>

<a NAME="StripProjectHelper.__hgStrip" ID="StripProjectHelper.__hgStrip"></a>
<h4>StripProjectHelper.__hgStrip</h4>
<b>__hgStrip</b>(<i></i>)
<p>
        Private slot used to strip revisions from a repository.
</p>

<a NAME="StripProjectHelper.initActions" ID="StripProjectHelper.initActions"></a>
<h4>StripProjectHelper.initActions</h4>
<b>initActions</b>(<i></i>)
<p>
        Public method to generate the action objects.
</p>

<a NAME="StripProjectHelper.initMenu" ID="StripProjectHelper.initMenu"></a>
<h4>StripProjectHelper.initMenu</h4>
<b>initMenu</b>(<i>mainMenu</i>)
<p>
        Public method to generate the extension menu.
</p>

<dl>

<dt><i>mainMenu</i> (QMenu)</dt>
<dd>
reference to the main menu
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
populated menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QMenu
</dd>
</dl>
<a NAME="StripProjectHelper.menuTitle" ID="StripProjectHelper.menuTitle"></a>
<h4>StripProjectHelper.menuTitle</h4>
<b>menuTitle</b>(<i></i>)
<p>
        Public method to get the menu title.
</p>

<dl>
<dt>Return:</dt>
<dd>
title of the menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
